`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: EEHPC
// Engineer: Amey Kulkarni
// Create Date: 11:16:47 01/21/2012
// Design Name:
// Module Name: CounterLED
// Project Name:
// Target Devices: Spartan 3E and Artix-7 ( This is suppose to work for any board testing !!!)
// Tool versions:
// Description: I just created for Board testing. You can find ucf file and bit file in this folder
//////////////////////////////////////////////////////////////////////////////////
module CounterLED(clk,rst,countOut1,countOut2,countOut3);
input clk,rst;
output countOut1,countOut2,countOut3;
reg count1,count2,count3;
reg [27:0]countTemp;
assign countOut1=count1;
assign countOut2=count2;
assign countOut3=count3;
always@(posedge clk)
if(rst)
	begin
		countTemp<=32'd0;
		count1<=1'b0;
		count2<=1'b0;
		count3<=1'b0;
	end
else
if(countTemp==27'b000_1111_1111_1111_1111_1111_1111)
begin
// countTemp<=32'd0;
	count1<=count1+1'b1;
	countTemp<=countTemp+1'b1;
end
else if (countTemp==27'b011_1111_1111_1111_1111_1111_1111)
begin
	count2<=count2+1'b1;
	countTemp<=countTemp+1'b1;
end
else if (countTemp==27'b111_1111_1111_1111_1111_1111_1111)
begin
	count3<=count3+1'b1;
	countTemp<=countTemp+1'b1;
end
else
begin
	countTemp<=countTemp+1'b1;
end
endmodule
